Package org.pushingpixels.substance.flamingo.utils

# Class RibbonApplicationMenuButtonBackgroundDelegate

java.lang.Object
org.pushingpixels.substance.flamingo.utils.RibbonApplicationMenuButtonBackgroundDelegate

public class RibbonApplicationMenuButtonBackgroundDelegate extends Object
Delegate class for painting backgrounds of buttons in Substance look and feel. This class is for internal use only.

## Constructor Summary

Constructors
Constructor
Description
`RibbonApplicationMenuButtonBackgroundDelegate()`

## Method Summary

Modifier and Type
Method
Description
`static BufferedImage`
`getFullAlphaBackground(org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.JRibbonApplicationMenuButton menuButton, org.pushingpixels.substance.api.painter.fill.SubstanceFillPainter painter, org.pushingpixels.substance.api.painter.border.SubstanceBorderPainter borderPainter, int width, int height)`
Retrieves the background for the specified button.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RibbonApplicationMenuButtonBackgroundDelegate

public RibbonApplicationMenuButtonBackgroundDelegate()

## Method Details

### getFullAlphaBackground

public static BufferedImage getFullAlphaBackground(org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.JRibbonApplicationMenuButton menuButton, org.pushingpixels.substance.api.painter.fill.SubstanceFillPainter painter, org.pushingpixels.substance.api.painter.border.SubstanceBorderPainter borderPainter, int width, int height)
Retrieves the background for the specified button.

Parameters:
  `menuButton` - Button.
  `painter` - Button gradient painter.
  `borderPainter` - Button border painter.
  `width` - Button width.
  `height` - Button height.
Returns:
  Button background.